Status: Rejected Priority: Low
Author: kaetemi Category: NeL: General
Created: 11/29/2008 Assignee: kaetemi
Updated: 04/12/2012 Due date:
Subject: Support stereo monitor hardware
Description

Support stereo monitor hardware.
Have access to the SVI Interlacing SDK, see http://www.spatialview.com/ and http://www.wazabee.net/, which supports anaglyph
rendering and interlaced rendering for their range of stereo monitors with 2 or more viewpoint cameras.

History
#1 - 09/06/2010 09:45 pm - kaetemi

- There was a problem with particles systems being updated on render instead of on update call.
- The API for the SVI monitors had to be implemented for both OpenGL and Direct3D inside the drivers, which is not very useful, since it can all
technically be done from nel3d.
- Their API also required modifying the resulting view and perspective matrices that are calculated inside the driver from the user set frustum. The
cameras are placed in parallel direction, and the image itself is moved into focus. The cameras are not directly oriented at the focus point. This system
reduces focus difference problems for the viewer.
- Supporting specific vendors requires use of closed source libraries, which is not good.

#2 - 09/29/2010 09:27 pm - kervala
- Project changed from NeL to Ryzom
- Category deleted (3d)

#3 - 04/12/2012 12:56 am - kaetemi
- Category set to NeL: General
- Status changed from New to Rejected

Working prototype was implemented, but it is not a standard solution. Requires ugly hacks in the drivers for changing the perspective matrices. Should
be revived if there ever exists a clean way to do it for both drivers that works for any vendor of stereo monitor systems.
